# Class FormSubmitEvent

java.lang.Object
java.util.EventObject
javax.swing.event.HyperlinkEvent
javax.swing.text.html.HTMLFrameHyperlinkEvent
javax.swing.text.html.FormSubmitEvent

All Implemented Interfaces:
  `Serializable`

public final class FormSubmitEvent extends HTMLFrameHyperlinkEvent
FormSubmitEvent is used to notify interested parties that a form was submitted.

Since:
  1.5

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`FormSubmitEvent.MethodType`
Represents an HTML form method type.

### Nested classes/interfaces declared in class HyperlinkEvent

`HyperlinkEvent.EventType`
Modifier and Type
Class
Description
`static final class`
`HyperlinkEvent.EventType`
Defines the ENTERED, EXITED, and ACTIVATED event types, along with their string representations, returned by toString().

## Field Summary

### Fields declared in class EventObject

`source`
Modifier and Type
Field
Description
`protected Object`
`source`
The object on which the Event initially occurred.

## Method Summary

Modifier and Type
Method
Description
`String`
`getData()`
Gets the form submission data.
`FormSubmitEvent.MethodType`
`getMethod()`
Gets the form method type.

### Methods declared in class HTMLFrameHyperlinkEvent

`getTarget`
Modifier and Type
Method
Description
`String`
`getTarget()`
returns the target for the link.

### Methods declared in class HyperlinkEvent

`getDescription, getEventType, getInputEvent, getSourceElement, getURL`
Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of the link as a string.
`HyperlinkEvent.EventType`
`getEventType()`
Gets the type of event.
`InputEvent`
`getInputEvent()`
Returns the `InputEvent` that triggered the hyperlink event.
`Element`
`getSourceElement()`
Returns the `Element` that corresponds to the source of the event.
`URL`
`getURL()`
Gets the URL that the link refers to.

### Methods declared in class EventObject

`getSource, toString`
Modifier and Type
Method
Description
`Object`
`getSource()`
The object on which the Event initially occurred.
`String`
`toString()`
Returns a String representation of this EventObject.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Method Details

### getMethod

public FormSubmitEvent.MethodType getMethod()
Gets the form method type.

Returns:
  the form method type, either `Method.GET` or `Method.POST`.

### getData

public String getData()
Gets the form submission data.

Returns:
  the string representing the form submission data.